%define ALD_Ver		1.2.1

Name:         intltool

License:      GPL
Summary:      This module contains scripts and autoconf magic for internationalizing various kinds of data files.
Group:        Development/Tools
Version:      0.40.6
Release:      1
Url: http://www.gnome.org/

Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch
Obsoletes:      xml-i18n-tools
Provides:       xml-i18n-tools = 0.11

%define docdir %{_defaultdocdir}/%{name}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

%define BUILD_TAR 1
# ------------------- description ------------------------------------
%description
** Automatically extracts translatable strings from oaf, glade, bonobo
   ui, nautilus theme and other files into the po files.

** Automatically merges translations from po files back into .oaf files
  (encoding to be 7-bit clean). Also merges into other kinds of files.

# ------------------- setup ------------------------------------------
%Prep
%setup -q

# ------------------- Build ------------------------------------------
%Build
PATH=$PATH:/opt/perl/bin
export PATH

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

%configure \
	&>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install \
	&>Finstall_log.txt

cp AUTHORS README COPYING $RPM_BUILD_ROOT%{docdir}/

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver}/ $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}
  mv %{name}-*%{version}-%{release}.noarch.rpm %{ALD_Ver}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_bindir}
%{_mandir}/man8
%{_datadir}/aclocal
%{_datadir}/intltool
%{docdir}
